Package com.ocient.cli.extract

# Class ResultSetExtractor.ExtractTransformer

java.lang.Object
com.ocient.cli.extract.ResultSetExtractor.ExtractTransformer

All Implemented Interfaces:
  `RowTransformer`

Enclosing class:
  `ResultSetExtractor`

public class ResultSetExtractor.ExtractTransformer extends Object implements RowTransformer
Implementation of `RowTransformer` that sanitizes the column values, then formats the row data into a flattened, string-based representation (e.g., CSV, TSV).

## Constructor Summary

Constructors
Constructor
Description
`ExtractTransformer(com.univocity.parsers.common.AbstractWriter<?> formatter)`

## Method Summary

Modifier and Type
Method
Description
`Row`
`transform(Row row)`
Apply the transformation to the `Row`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtractTransformer

public ExtractTransformer(com.univocity.parsers.common.AbstractWriter<?> formatter)

## Method Details

### transform

public Row transform(Row row)
Description copied from interface: `RowTransformer`
Apply the transformation to the `Row`.

Specified by:
  `transform` in interface `RowTransformer`
Parameters:
  `row` - The `Row` to be transformed.
Returns:
  Returns a transformed Row object. The exact nature of the transformation and the resultant format depends on the specific implementation. The transformation should maintain data integrity while optimizing its representation for memory efficiency and performance.

  Note: THIS FUNCTION IS NOT INTENDED TO BE THREAD SAFE.